SystemOrganization addCategory: #'AdministradorUniversitario-Modelo'!
SystemOrganization addCategory: #'AdministradorUniversitario-Persistencia'!

Object subclass: #Alumno
	instanceVariableNames: 'nombre apellido dni direccion telefono legajo email esAuxiliar materiasActuales materiasCursadas'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministradorUniversitario-Modelo'!

!Alumno class methodsFor: 'class initialization' stamp: 'PabloAlegre 2/13/2013 23:14'!
conNombre: unNombre conApellido: unApellido conDNI: unDNI conDireccion: unaDireccion conEmail: unEmail yLegajo: unLegajo
	^ super new
		nombre: unNombre;
		apellido: unApellido;
		dni: unDNI;
		direccion: unaDireccion;
		email: unEmail;
		legajo: unLegajo;
		esAuxiliar: false;
		materiasActuales: OrderedCollection new;
		materiasCursadas: OrderedCollection new! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 21:59'!
apellido
	^ apellido! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 21:59'!
apellido: anObject
	apellido := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 21:59'!
direccion
	^ direccion! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 21:59'!
direccion: anObject
	direccion := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 21:59'!
dni
	^ dni! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 21:59'!
dni: anObject
	dni := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 21:59'!
email
	^ email! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 21:59'!
email: anObject
	email := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 21:59'!
esAuxiliar
	^ esAuxiliar! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 21:59'!
esAuxiliar: anObject
	esAuxiliar := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 21:59'!
legajo
	^ legajo! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 21:59'!
legajo: anObject
	legajo := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:01'!
materiasActuales
	^ materiasActuales! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:01'!
materiasActuales: anObject
	materiasActuales := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 21:59'!
materiasCursadas
	^ materiasCursadas! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 21:59'!
materiasCursadas: anObject
	materiasCursadas := anObject! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 21:59'!
nombre
	^ nombre! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 21:59'!
nombre: anObject
	nombre := anObject! !

!Alumno methodsFor: 'printing' stamp: 'PabloAlegre 2/13/2013 22:49'!
printOn: aStream

    aStream nextPutAll: (self nombre,' ',self apellido).! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 21:59'!
telefono
	^ telefono! !

!Alumno methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 21:59'!
telefono: anObject
	telefono := anObject! !

Object subclass: #Carrera
	instanceVariableNames: 'nombre materias'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministradorUniversitario-Modelo'!

!Carrera class methodsFor: 'class initialization' stamp: 'PabloAlegre 2/13/2013 22:42'!
llamada: unNombre
	^ super new
		nombre: unNombre;
		materias: OrderedCollection new! !

!Carrera methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:04'!
materias
	^ materias! !

!Carrera methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:04'!
materias: anObject
	materias := anObject! !

!Carrera methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:04'!
nombre
	^ nombre! !

!Carrera methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:04'!
nombre: anObject
	nombre := anObject! !

!Carrera methodsFor: 'printing' stamp: 'PabloAlegre 2/13/2013 22:50'!
printOn: aStream

    aStream nextPutAll: (self nombre).! !

Object subclass: #Comision
	instanceVariableNames: 'numero cuatrimestre materia horarios docenteTitular docenteSecundario alumnos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministradorUniversitario-Modelo'!

!Comision class methodsFor: 'class initialization' stamp: 'PabloAlegre 2/13/2013 23:06'!
numero: numeroDeComision delCuatrimestre: anioYNumeroDeCuatrimestre deLaMateria: unaMateria
	^ super new
		numero: numeroDeComision;
		cuatrimestre: anioYNumeroDeCuatrimestre;
		materia: unaMateria;
		horarios: OrderedCollection new;
		alumnos: OrderedCollection new.! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:58'!
alumnos
	^ alumnos! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:59'!
alumnos: anObject
	alumnos := anObject! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:07'!
cuatrimestre
	^ cuatrimestre! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:07'!
cuatrimestre: anObject
	cuatrimestre := anObject! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:07'!
docenteSecundario
	^ docenteSecundario! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:07'!
docenteSecundario: anObject
	docenteSecundario := anObject! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:07'!
docenteTitular
	^ docenteTitular! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:07'!
docenteTitular: anObject
	docenteTitular := anObject! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:07'!
horarios
	^ horarios! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:07'!
horarios: anObject
	horarios := anObject! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:07'!
materia
	^ materia! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:07'!
materia: anObject
	materia := anObject! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:07'!
numero
	^ numero! !

!Comision methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:07'!
numero: anObject
	numero := anObject! !

!Comision methodsFor: 'printing' stamp: 'PabloAlegre 2/13/2013 22:50'!
printOn: aStream

    aStream nextPutAll: (self materia asString,'-',self cuatrimestre asString,'-',self numero asString).
! !

Object subclass: #HomeAlumnos
	instanceVariableNames: 'alumnos'
	classVariableNames: 'instance'
	poolDictionaries: ''
	category: 'AdministradorUniversitario-Persistencia'!

!HomeAlumnos class methodsFor: 'accessing' stamp: 'PabloAlegre 2/14/2013 00:24'!
current
	"instance:= nil."
	(instance isNil) ifTrue: [instance:= super new.].
	^instance.! !

!HomeAlumnos methodsFor: 'accessing' stamp: 'PabloAlegre 2/14/2013 00:03'!
alumnos
	^ alumnos! !

!HomeAlumnos methodsFor: 'accessing' stamp: 'PabloAlegre 2/14/2013 00:03'!
alumnos: anObject
	alumnos := anObject! !

!HomeAlumnos methodsFor: 'accessing' stamp: 'PabloAlegre 2/14/2013 00:20'!
get: numeroDeLegajo

	^(self alumnos select: [ : alumno | alumno legajo = numeroDeLegajo]) first.! !

!HomeAlumnos methodsFor: 'initialization' stamp: 'PabloAlegre 2/14/2013 00:07'!
initialize 

	alumnos:= OrderedCollection new.
	alumnos add: (Alumno conNombre: 'Pablo' conApellido: 'Alegre' conDNI: 35000000 conDireccion: 'Florencio Varela' conEmail: 'pablo@gmail.com'  yLegajo: 20000).
	alumnos add: (Alumno conNombre: 'Natalia' conApellido: 'Rodriguez' conDNI: 35111111 conDireccion: 'Quilmes' conEmail: 'nati@gmail.com'  yLegajo: 20111).
	alumnos add: (Alumno conNombre: 'Nahuel' conApellido: 'Garbezza' conDNI: 35222222 conDireccion: 'Ranelagh' conEmail: 'nahuel@gmail.com'  yLegajo: 20222).
	alumnos add: (Alumno conNombre: 'Ronny' conApellido: 'De Jesus' conDNI: 35333333 conDireccion: 'Berazategui' conEmail: 'ronny@gmail.com'  yLegajo: 20333).
	alumnos add: (Alumno conNombre: 'Susana' conApellido: 'Rosito' conDNI: 35444444 conDireccion: 'Berazategui' conEmail: 'susi@gmail.com'  yLegajo: 20444).
	alumnos add: (Alumno conNombre: 'Federico' conApellido: 'Sawady' conDNI: 35555555 conDireccion: 'Quilmes' conEmail: 'sawa@gmail.com'  yLegajo: 20555).
	alumnos add: (Alumno conNombre: 'Maria Laura' conApellido: 'Medici' conDNI: 35666666 conDireccion: 'Ezpeleta' conEmail: 'marilau@gmail.com'  yLegajo: 20666).
	alumnos add: (Alumno conNombre: 'Christian' conApellido: 'Ruiz Diaz' conDNI: 35777777 conDireccion: 'Berazategui' conEmail: 'christiand@gmail.com'  yLegajo: 20777).
	alumnos add: (Alumno conNombre: 'Rocio' conApellido: 'Amaya' conDNI: 35888888 conDireccion: 'Wilde' conEmail: 'rocio@gmail.com'  yLegajo: 20888).
	alumnos add: (Alumno conNombre: 'Tatiana' conApellido: 'Molinari' conDNI: 35999999 conDireccion: 'Lanus' conEmail: 'tatiana@gmail.com'  yLegajo: 20999).
	alumnos add: (Alumno conNombre: 'Cristian' conApellido: 'Suarez' conDNI: 36000000 conDireccion: 'Bernal' conEmail: 'cristian@gmail.com'  yLegajo: 21000).
	alumnos add: (Alumno conNombre: 'Cristian' conApellido: 'Bouix' conDNI: 36111111 conDireccion: 'Florencio Varela' conEmail: 'chbouix@gmail.com'  yLegajo: 21111).! !

!HomeAlumnos methodsFor: 'accessing' stamp: 'PabloAlegre 2/14/2013 00:01'!
listAll 

	^ self alumnos! !

Object subclass: #HomeCarreras
	instanceVariableNames: 'carreras'
	classVariableNames: 'instance'
	poolDictionaries: ''
	category: 'AdministradorUniversitario-Persistencia'!

!HomeCarreras class methodsFor: 'accessing' stamp: 'PabloAlegre 2/14/2013 00:24'!
current
	"instance:= nil."
	(instance isNil) ifTrue: [instance:= super new.].
	^instance.! !

!HomeCarreras methodsFor: 'accessing' stamp: 'PabloAlegre 2/14/2013 00:03'!
carreras
	^ carreras! !

!HomeCarreras methodsFor: 'accessing' stamp: 'PabloAlegre 2/14/2013 00:03'!
carreras: anObject
	carreras := anObject! !

!HomeCarreras methodsFor: 'accessing' stamp: 'PabloAlegre 2/14/2013 00:20'!
get: nombreDeCarrera

	^(self carreras select: [ : carrera | carrera nombre = nombreDeCarrera]) first.! !

!HomeCarreras methodsFor: 'initialization' stamp: 'PabloAlegre 2/14/2013 00:17'!
initialize

	| tpi lds |
	carreras:= OrderedCollection new.
	tpi:= (Carrera llamada: 'TPI').
	tpi materias add: (HomeMaterias current get: 'InPr').
	tpi materias add: (HomeMaterias current get: 'Mate1').
	tpi materias add: (HomeMaterias current get: 'Orga').
	tpi materias add: (HomeMaterias current get: 'Obj1').
	tpi materias add: (HomeMaterias current get: 'BD').
	tpi materias add: (HomeMaterias current get: 'SO').
	tpi materias add: (HomeMaterias current get: 'Obj2').
	tpi materias add: (HomeMaterias current get: 'Redes').
	tpi materias add: (HomeMaterias current get: 'LabSOR').
	tpi materias add: (HomeMaterias current get: 'CIU').
	tpi materias add: (HomeMaterias current get: 'IngSoft').
	tpi materias add: (HomeMaterias current get: 'Mate2').	
	tpi materias add: (HomeMaterias current get: 'DesApp').
	tpi materias do: [ :materia | materia carreras add: tpi].
	carreras add: tpi.
	lds:= (Carrera llamada: 'LDS').
	lds materias addAll: (tpi materias).
	lds materias add: (HomeMaterias current get: 'DerAut').	
	lds materias add: (HomeMaterias current get: 'Obj3').
	lds materias do: [ :materia | materia carreras add: lds].
	carreras add: lds.
	carreras add: (Carrera llamada: 'DPI').! !

!HomeCarreras methodsFor: 'accessing' stamp: 'PabloAlegre 2/14/2013 00:02'!
listAll 

	^ self carreras! !

Object subclass: #HomeComisiones
	instanceVariableNames: 'comisiones'
	classVariableNames: 'instance'
	poolDictionaries: ''
	category: 'AdministradorUniversitario-Persistencia'!

!HomeComisiones class methodsFor: 'accessing' stamp: 'PabloAlegre 2/14/2013 00:24'!
current
	"instance:= nil."
	(instance isNil) ifTrue: [instance:= super new.].
	^instance.! !

!HomeComisiones methodsFor: 'accessing' stamp: 'PabloAlegre 2/14/2013 00:03'!
comisiones
	^ comisiones! !

!HomeComisiones methodsFor: 'accessing' stamp: 'PabloAlegre 2/14/2013 00:03'!
comisiones: anObject
	comisiones := anObject! !

!HomeComisiones methodsFor: 'initialization' stamp: 'PabloAlegre 2/14/2013 00:19'!
initialize 

	| intro1 intro2 intro3 intro4 |
	comisiones:= OrderedCollection new.
	intro1:= Comision numero: 1 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'InPr').
	intro2:= Comision numero: 2 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'InPr').
	intro3:= Comision numero: 3 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'InPr').
	intro4:= Comision numero: 4 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'InPr').
	comisiones add: (intro1).
	comisiones add: (intro2).
	comisiones add: (intro3).
	comisiones add: (intro4).
	comisiones add: (Comision numero: 1 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'Mate1')).
	comisiones add: (Comision numero: 2 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'Mate1')).
	comisiones add: (Comision numero: 1 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'Orga')).
	comisiones add: (Comision numero: 2 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'Orga')).
	comisiones add: (Comision numero: 3 delCuatrimestre: '2008c1' deLaMateria: (HomeMaterias current get: 'Orga')).! !

!HomeComisiones methodsFor: 'accessing' stamp: 'PabloAlegre 2/14/2013 00:02'!
listAll

	^self comisiones  ! !

Object subclass: #HomeMaterias
	instanceVariableNames: 'materias'
	classVariableNames: 'instance'
	poolDictionaries: ''
	category: 'AdministradorUniversitario-Persistencia'!

!HomeMaterias class methodsFor: 'accessing' stamp: 'PabloAlegre 2/14/2013 00:25'!
current
	"instance:= nil."
	(instance isNil) ifTrue: [instance:= super new.].
	^instance.! !

!HomeMaterias methodsFor: 'accessing' stamp: 'PabloAlegre 2/14/2013 00:20'!
get: nombreDeMateria

	^(self materias select: [ : materia | materia nombre = nombreDeMateria]) first.! !

!HomeMaterias methodsFor: 'initialization' stamp: 'PabloAlegre 2/14/2013 00:17'!
initialize 

	materias:= OrderedCollection new.
	materias add: (Materia deNombre: 'InPr').
	materias add: (Materia deNombre: 'Orga').
	materias add: (Materia deNombre: 'Mate1').
	materias add: (Materia deNombre: 'Obj1').
	materias add: (Materia deNombre: 'Mate2').
	materias add: (Materia deNombre: 'BD').
	materias add: (Materia deNombre: 'Obj2').
	materias add: (Materia deNombre: 'Redes').
	materias add: (Materia deNombre: 'SO').
	materias add: (Materia deNombre: 'LabSOR').
	materias add: (Materia deNombre: 'CIU').
	materias add: (Materia deNombre: 'IngSoft').
	materias add: (Materia deNombre: 'DesApp').
	materias add: (Materia deNombre: 'DerAut').
	materias add: (Materia deNombre: 'Obj3').! !

!HomeMaterias methodsFor: 'accessing' stamp: 'PabloAlegre 2/14/2013 00:03'!
listAll 

	^ self materias! !

!HomeMaterias methodsFor: 'accessing' stamp: 'PabloAlegre 2/14/2013 00:04'!
materias
	^ materias! !

!HomeMaterias methodsFor: 'accessing' stamp: 'PabloAlegre 2/14/2013 00:04'!
materias: anObject
	materias := anObject! !

Object subclass: #Materia
	instanceVariableNames: 'nombre carreras comisiones correlativas'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministradorUniversitario-Modelo'!

!Materia class methodsFor: 'class initialization' stamp: 'PabloAlegre 2/13/2013 22:41'!
deNombre: unNombre
	^ super new
		nombre: unNombre;
		carreras: OrderedCollection new;
		comisiones: OrderedCollection new;
		correlativas: OrderedCollection new! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:05'!
carreras
	^ carreras! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:05'!
carreras: anObject
	carreras := anObject! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:05'!
comisiones
	^ comisiones! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:05'!
comisiones: anObject
	comisiones := anObject! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:05'!
correlativas
	^ correlativas! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:05'!
correlativas: anObject
	correlativas := anObject! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:05'!
nombre
	^ nombre! !

!Materia methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:05'!
nombre: anObject
	nombre := anObject! !

!Materia methodsFor: 'printing' stamp: 'PabloAlegre 2/13/2013 22:51'!
printOn: aStream

    aStream nextPutAll: (self nombre).! !

Materia subclass: #MateriaCursada
	instanceVariableNames: 'comision estado nota'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'AdministradorUniversitario-Modelo'!

!MateriaCursada class methodsFor: 'class initialization' stamp: 'PabloAlegre 2/13/2013 22:59'!
enComision: unaComision
	^ super new initializeWith: unaComision.! !

!MateriaCursada methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:36'!
carreras
	^self comision materia carreras.! !

!MateriaCursada methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:54'!
comision
	^ comision! !

!MateriaCursada methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:54'!
comision: anObject
	comision := anObject! !

!MateriaCursada methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:36'!
comisiones
	^self comision materia comisiones.! !

!MateriaCursada methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:36'!
correlativas
	^self comision materia correlativas.! !

!MateriaCursada methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:54'!
estado
	^ estado! !

!MateriaCursada methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:54'!
estado: anObject
	estado := anObject! !

!MateriaCursada methodsFor: 'initializing' stamp: 'PabloAlegre 2/13/2013 23:02'!
initializeWith: unaComision
	self
		comision: unaComision;
		nombre: unaComision materia nombre;
		correlativas: unaComision materia correlativas;
		comisiones: unaComision materia comisiones;
		carreras: unaComision materia carreras;
		estado: 'En curso';
		nota: 0! !

!MateriaCursada methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:36'!
nombre
	^self comision materia nombre.! !

!MateriaCursada methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:54'!
nota
	^ nota! !

!MateriaCursada methodsFor: 'accessing' stamp: 'PabloAlegre 2/13/2013 22:54'!
nota: anObject
	nota := anObject! !

!MateriaCursada methodsFor: 'printing' stamp: 'PabloAlegre 2/13/2013 22:52'!
printOn: aStream

	   aStream nextPutAll: (self comision asString).! !
